Message: Problem to install geant4.7.1.p01 on MacBook Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Problem to install geant4.7.1.p01 on MacBook 

Forum: Installation and Configuration
Date: 11 Mar, 2009
From: Take Saito <Take Saito>

Hello. 
I need your help. 

I am trying to install geant4.7.1.p01 to my MacBook with Mac OS 10.5.6. I have Xcode toold and the gcc is version 4.0. I installed CLHEP 1.9.2.2. 

When I performed Configure - build, the following error happens. Could you give me advise? 

Thank you in advance. 
Cheers, Take

----------------------------

Now starting Geant4 libraries build...
 
On this machine the G4SYSTEM=Darwin-g++
On this machine the G4INSTALL=/Users/tsaito/geant4.7.1.p01
On this machine the G4TMP=/Users/tsaito/geant4.7.1.p01/tmp
On this machine the G4LIB=/Users/tsaito/geant4.7.1.p01/lib
On this machine the G4LEVELGAMMADATA=/Users/tsaito/geant4.7.1.p01/data/PhotonEvaporation
On this machine the G4RADIOACTIVEDATA=/Users/tsaito/geant4.7.1.p01/data/RadiativeDecay
On this machine the G4LEDATA=/Users/tsaito/geant4.7.1.p01/data/G4EMLOW3.0
On this machine the NeutronHPCrossSections=/Users/tsaito/geant4.7.1.p01/data/G4NDL3.7
On this machine the G4ELASTICDATA=/Users/tsaito/geant4.7.1.p01/data/G4ELASTIC1.1
On this machine the CLHEP_BASE_DIR=/usr/local
On this machine the CLHEP_INCLUDE_DIR=/usr/local/include
On this machine the CLHEP_LIB_DIR=/usr/local/lib
On this machine the CLHEP_LIB=CLHEP
On this machine the G4LIB_BUILD_STATIC=1
On this machine the G4LIB_USE_GRANULAR=1
warning: this program uses gets(), which is unsafe.
warning: this program uses gets(), which is unsafe.

Starting build...

*************************************************************
 Installation Geant4 version : geant4-07-01-patch-01 
                            Copyright : Geant4 Collaboration 
*************************************************************
make[1]: *** [makesub] Error 2
make[1]: *** [makesub] Error 2
make[1]: *** [makesub] Error 2
make[1]: *** [makesub] Error 2
make[1]: *** [makesub] Error 2
make[1]: *** [makesub] Error 2
make[1]: *** [makesub] Error 2
make[1]: *** [granular] Error 2
libmap stage:
Searching for GNUmakefiles and sorting ...
Weeding out paths and files ...
Making libname.map starter file ...
Making libname.map ...
  Reading library name map file...
warning: this program uses gets(), which is unsafe.
  Reading dependency files...
  Checking for circular dependencies...
  Reordering according to dependencies...
  Writing new library map file...

############################################################
# It looks like you had errors during Geant4 installation   
# (or interrupted installation)!				  
# Please check log file:				      	  
# /Users/tsaito/geant4.7.1.p01/.config/bin/Darwin-g++/g4make.log					  
############################################################

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Problem to install geant4.7.1.p01 on MacBook   (Ben Morgan - 11 Mar, 2009)
(_ Question: Re: Problem to install geant4.7.1.p01 on MacBook   (Take Saito - 11 Mar, 2009)
(_ None: Re: Problem to install geant4.7.1.p01 on MacBook   (Ben Morgan - 13 Mar, 2009)
 Add Message Add Message
to: "Problem to install geant4.7.1.p01 on MacBook"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]